<form [formGroup]='filterForm'>



      <!-- Row -->
      <div fxLayout="row" fxLayoutWrap="wrap">
        <!-- column -->
        <div fxFlex.gt-sm="50" fxFlex.gt-xs="50">
            {{ 'vehicles-list.filter.sub-title' | translate }}
          <br /><br />

          <mat-accordion>
            <mat-expansion-panel>
              <mat-expansion-panel-header>
                <mat-panel-title> {{ 'vehicles-list.filter.filter' | translate }} </mat-panel-title>
                <mat-panel-description> {{ 'vehicles-list.filter.filter-epxand-title' | translate }} </mat-panel-description>
              </mat-expansion-panel-header>
              <section class="example-section">
                <mat-form-field class="example-margin">
                  <input matInput placeholder="VIN" aria-label="VIN" formControlName="VIN" (keyup)="onVINChange($event)" />
                  <mat-hint>{{ 'vehicles-list.filter.filter-placeholder.vin-caption' | translate }}</mat-hint>
                </mat-form-field>

               

                <mat-form-field class="example-margin">
                  <mat-select formControlName="status" (selectionChange)="onStatusSelection($event.value)" placeholder="{{ 'vehicles-list.filter.filter-placeholder.status' | translate }}">
                      <mat-option>
                          
                        </mat-option>
                    <mat-option *ngFor="let s of statusList" [value]="s.id">
                      {{ 'vehicles-list.filter.filter-placeholder.' + s.status | translate}}
                    </mat-option>
                  </mat-select>
                  <mat-hint>{{ 'vehicles-list.filter.filter-placeholder.status-caption' | translate }}</mat-hint>
                </mat-form-field>

                <mat-form-field class="example-margin">
                    <mat-chip-list #chipClientList>
                      <mat-chip *ngFor="let client of selectedClients" selectable="true" removable="true"
                        (removed)="remove(client)" color="primary" aria-orientation="horizontal" selected>
                        {{client}}
                        <mat-icon matChipRemove>cancel</mat-icon>
                      </mat-chip>
                      <input #txtName matInput aria-label="Name" [matAutocomplete]="autoName" formControlName="name"
                      [matChipInputFor]="chipClientList" [matChipInputSeparatorKeyCodes]="separatorKeysCodes" matChipInputAddOnBlur="true" (matChipInputTokenEnd)="add($event)" 
                      placeholder="{{ 'vehicles-list.filter.filter-placeholder.client' | translate }}" />
                      <mat-autocomplete #autoName="matAutocomplete"  (optionSelected)="onClientSelection($event)">
                        <mat-option *ngFor="let client of filteredClients | async" [value]="client.id">
                          <img style="vertical-align:middle;" aria-hidden src="{{client.avatar}}" height="40" class="mr-6" />
                          <span>{{ client.name }}</span>
                        </mat-option>
                      </mat-autocomplete>
                    </mat-chip-list>
                    <mat-hint>{{ 'vehicles-list.filter.filter-placeholder.client-caption' | translate }}</mat-hint>
                  </mat-form-field>
              </section>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
      </div>

</form>